<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem name="tram" revision="11" url="http://codecenter.sgu.ru:8081/polygon/p/vasilevskiy.boris/tram">
    <judging input-file="tram.in" output-file="tram.out">
        <testset name="tests">
            <time-limit>1000</time-limit>
            <memory-limit>67108864</memory-limit>
            <test-count>48</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual"/>
                <test method="manual"/>
                <test cmd="gen_random 179739059 10 10 10 10 5 20" method="generated"/>
                <test cmd="gen_random 845642349 10 10 10 10 5 20" method="generated"/>
                <test cmd="gen_random 252473559 10 10 10 10 5 20" method="generated"/>
                <test cmd="gen_random 748674543 20 30 15 10 5 20" method="generated"/>
                <test cmd="gen_random 429364423 50 50 10 20 5 10" method="generated"/>
                <test cmd="gen_random 956742346 100 100 10 20 10 20" method="generated"/>
                <test cmd="gen_random 315257356 200 200 10 10 5 40" method="generated"/>
                <test cmd="gen_random 496762349 200 200 10 10 5 40" method="generated"/>
                <test cmd="gen_random 23782476 200 200 10 10 5 40" method="generated"/>
                <test cmd="gen_random 123674573 200 200 10 10 10 100" method="generated"/>
                <test cmd="gen_random 104156765 200 200 10 10 10 100" method="generated"/>
                <test cmd="gen_random 385716972 200 200 10 10 10 100" method="generated"/>
                <test cmd="gen_random 447585611 200 200 10 10 8 50" method="generated"/>
                <test cmd="gen_random 328770793 200 200 10 10 8 50" method="generated"/>
                <test cmd="gen_random 52901214 200 200 10 10 8 50" method="generated"/>
                <test cmd="gen_random 942135326 2000 2000 50 10 5 60" method="generated"/>
                <test cmd="gen_random 283452374 2000 2000 100 10 5 60" method="generated"/>
                <test cmd="gen_random 427435327 2000 2000 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 673453636 2000 2000 50 10 5 60" method="generated"/>
                <test cmd="gen_random 783544534 2000 2000 100 10 5 60" method="generated"/>
                <test cmd="gen_random 634573556 2000 2000 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 591495410 2000 2000 500000 2000 10000 10000" method="generated"/>
                <test cmd="gen_random 309019696 500 500 50 10 5 60" method="generated"/>
                <test cmd="gen_random 285167520 500 500 50 10 5 60" method="generated"/>
                <test cmd="gen_random 655517240 500 500 50 10 5 60" method="generated"/>
                <test cmd="gen_random 762293918 500 500 100 10 5 60" method="generated"/>
                <test cmd="gen_random 866002524 500 500 100 10 5 60" method="generated"/>
                <test cmd="gen_random 500097846 500 500 100 10 5 60" method="generated"/>
                <test cmd="gen_random 731356747 500 500 100 10 10 100" method="generated"/>
                <test cmd="gen_random 969802590 500 500 100 10 10 100" method="generated"/>
                <test cmd="gen_random 324274891 500 500 100 10 10 100" method="generated"/>
                <test cmd="gen_random 742715226 500 500 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 561097874 500 500 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 155014502 500 500 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 205353236 500 500 50 10 5 60" method="generated"/>
                <test cmd="gen_random 136784530 500 500 50 10 5 60" method="generated"/>
                <test cmd="gen_random 126734654 500 500 50 10 5 60" method="generated"/>
                <test cmd="gen_random 956234248 500 500 100 10 5 60" method="generated"/>
                <test cmd="gen_random 327425234 500 500 100 10 5 60" method="generated"/>
                <test cmd="gen_random 236832356 500 500 100 10 5 60" method="generated"/>
                <test cmd="gen_random 735685613 500 500 100 10 10 100" method="generated"/>
                <test cmd="gen_random 169454173 500 500 100 10 10 100" method="generated"/>
                <test cmd="gen_random 845152361 500 500 100 10 10 100" method="generated"/>
                <test cmd="gen_random 234734556 500 500 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 734551574 500 500 100 10 10 1000" method="generated"/>
                <test cmd="gen_random 362872402 500 500 100 10 10 1000" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/random.h" type="h.g++"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/problem.tex"/>
        </resources>
        <executables>
            <executable>
                <source>
                    <file path="files/check.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/check.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/gen_random.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/gen_random.exe" type="exe.win32"/>
                </binary>
            </executable>
            <executable>
                <source>
                    <file path="files/validate.cpp" type="cpp.g++"/>
                </source>
                <binary>
                    <file path="files/validate.exe" type="exe.win32"/>
                </binary>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/check.cpp" type="cpp.g++"/>
            <binary path="check.exe" type="exe.win32"/>
        </checker>
        <validator>
            <source path="files/validate.cpp" type="cpp.g++"/>
            <binary path="files/validate.exe" type="exe.win32"/>
        </validator>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/tram_sf.cpp" type="cpp.g++"/>
                <binary path="solutions/tram_sf.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/tram_sr.cpp" type="cpp.g++"/>
                <binary path="solutions/tram_sr.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <statements>
        <statement format="tex" language="russian" path="statements/russian/problem.tex" title="Трамвай"/>
    </statements>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <tags>
        <tag value="dp"/>
        <tag value="moscow team"/>
    </tags>
</problem>
